Energia

## compareTo()

#### Description

Compares two Strings, testing whether one comes before or after the other, or whether they're equal. The strings are compared character by character, using the ASCII values of the characters. That means, for example, that 'a' comes before 'b' but after 'A'. Numbers come before letters.

#### Syntax

string.compareTo(string2)

#### Parameters

string: a variable of type String
string2: another variable of type String

#### Returns

a negative number: if string comes before string2
0: if string equals string2
a positive number: if string comes after string2

#### Example

- StringComparisonOperators

#### See also

- substring()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes